Bug 138496 - The 'forgot my password' link generates an error
The 'forgot my password' link generates an error
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
2.18
All Linux
medium Severity medium (vote)
: ---
: ---
Assigned To: David Lawrence
David Lawrence
:
Depends On:
Blocks: BZ_218_Beta3
  Show dependency treegraph
 
Reported: 2004-11-09 12:31 EST by Sal Conigliaro
Modified: 2007-04-18 13:14 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-11 12:38:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sal Conigliaro 2004-11-09 12:31:10 EST
User-Agent:       
Build Identifier: 

When you enter your userid, then click on the 'forgot my password' button, the
following message is display:

DBD::Pg::st execute failed: ERROR:  parser: parse error at or near "10" at
character 271 [for Statement "SELECT profiles.userid, tokens.issuedate FROM
profiles                    LEFT JOIN tokens
                   ON tokens.userid = profiles.userid
                   AND tokens.tokentype = 'password'
                   AND tokens.issuedate > DATE_SUB(NOW(), INTERVAL 10 MINUTE)
                   WHERE login_name = 'tao-qa@redhat.com'"] at Bugzilla/DB.pm
line 74
    Bugzilla::DB::SendSQL('SELECT profiles.userid, tokens.issuedate FROM
profiles \x{a}     ...') called at Bugzilla/Token.pm line 119
    Bugzilla::Token::IssuePasswordToken('tao-qa@redhat.com') called at
/var/www/bugzilla/beta2/token.cgi line 160
    main::requestChangePassword() called at /var/www/bugzilla/beta2/token.cgi
line 133


Reproducible: Always
Steps to Reproduce:
1.
2.
3.
Comment 1 David Lawrence 2004-11-09 12:33:03 EST
Thanks. Adding to mustfix for beta3.
Comment 2 Mike MacKenzie 2004-11-11 12:38:06 EST
Fixed.  This fix will show up in the next beta release.

Note You need to log in before you can comment on or make changes to this bug.